<?php

######################################################################
# Modulo Splatt Forum per PHP-NUKE 
#-------------------------
# Versione: 3.2
#
# 01/05/2002
#
#  by:
#
# Giorgio Ciranni (~Splatt~) (http://www.splatt.it) 
# (webmaster@splatt.it)
# 
#
# Supporto tecnico disponibile sul Forum di www.splatt.it
######################################################################
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################


if (!eregi("admin.php", $PHP_SELF)) { die ("Access Denied"); }

switch($op) {

		case "SplattForumConfig":
 /**/		case "SplattForumConfigAdmin":  
		    include("admin/modules/forums.php");
			SplattForumConfigAdmin();
			break;
			
/**/		case "SplattForumPrefAdmin":     
	        include ("admin/modules/forums.php");
			SplattForumPrefAdmin();
			break;
			
/**/		case "SplattForumAdmin":
	        include ("admin/modules/forums.php");
			SplattForumAdmin();
			break;
			
/**/		case "SplattForumConfigChange":
		    include ("admin/modules/forums.php");
			SplattForumConfigChange($allow_html,$allow_bbcode,$allow_sig,$posts_per_page,$hot_threshold,$topics_per_page,$index_head,$index_foot,$max_upfile);
			break;


/**/		case "SplattRankForumAdmin":
		    include ("admin/modules/forums.php");
			SplattRankForumAdmin();
			break;

/**/		case "SplattRankForumEdit":
		    include ("admin/modules/forums.php");
			SplattRankForumEdit($rank_id);
			break;

/**/		case "SplattRankForumDel":
	        include ("admin/modules/forums.php");
			SplattRankForumDel($rank_id, $ok);
			break;

/**/		case "SplattRankForumAdd":
		    include ("admin/modules/forums.php");
			SplattRankForumAdd($rank_title,$rank_min,$rank_max,$rank_special,$rank_image);
			break;

/**/		case "SplattRankForumSave":
		    include ("admin/modules/forums.php");
			SplattRankForumSave($rank_id, $rank_title, $rank_min, $rank_max, $rank_special,$rank_image);
			break;

/**/		case "SplattAccessForumAdmin":
	        include ("admin/modules/forums.php");
 			SplattAccessForumAdmin();
			break;

/**/		case "SplattAccessUserEdit":
		    include ("admin/modules/forums.php");
			SplattAccessUserEdit($user_id, $access_id);
			break;

/**/		case "SplattAccessUserSave":
		    include ("admin/modules/forums.php");
			SplattAccessUserSave($user_id, $access_id);
			break;

/**/		case "SplattForumGoAdd":
	        include ("admin/modules/forums.php");
			SplattForumGoAdd($forum_name, $forum_desc, $forum_access, $mods, $cat_id, $forum_type, $forum_pass, $forum_notify_email, $forum_atch);
			break;

/**/		case "SplattForumGoSave":
		    include ("admin/modules/forums.php");
			SplattForumGoSave($forum_id, $forum_name, $forum_desc, $forum_access, $mods, $rem_mods, $cat_id, $forum_type, $forum_pass, $forum_notify_email, $forum_atch);
			break;

/**/		case "SplattForumCatDel":
	        include ("admin/modules/forums.php");
			SplattForumCatDel($cat_id, $ok);
			break;

/**/		case "SplattForumGoDel":
	        include ("admin/modules/forums.php");
			SplattForumGoDel($forum_id, $ok);
			break;

/**/		case "SplattForumCatSave":
	        include ("admin/modules/forums.php");
			SplattForumCatSave($cat_id, $cat_title);
			break;

/**/		case "SplattForumCatEdit":
	        include ("admin/modules/forums.php");
			SplattForumCatEdit($cat_id);
			break;

/**/		case "SplattForumGoEdit":
	        include ("admin/modules/forums.php");
			SplattForumGoEdit($forum_id);
			break;

/**/		case "SplattForumGo":
	        include ("admin/modules/forums.php");
			SplattForumGo($cat_id,$ctg);
			break;

/**/		case "SplattForumCatAdd":
	        include ("admin/modules/forums.php");
			SplattForumCatAdd($catagories);
			break;

/**/		case "SplattForumCatOrder":
			include ("admin/modules/forums.php");
			SplattForumCatOrder($cat_id,$cat_order,$changes,$lastid);
			break;

/**/
			case "SplattForumResetOrder":
			include ("admin/modules/forums.php");
			SplattForumResetOrder();
			break;
/**/
			case "norisposte":
			include ("admin/modules/forums.php");
			norisposte();
			break;
/**/
			case "cancpost":
			include ("admin/modules/forums.php");
			cancpost($delete);
			break;
}

?>
